using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using Ektron.Workflow.Activities;
using Ektron.Workflow.Types;
namespace Ektron.Workflow.Commerce
{
    public sealed partial class OrderingSequentialWorkflow801 : OrderingSequentialWorkflowActivity
    {
        public OrderingSequentialWorkflow801()
        {
            InitializeComponent();
        }
        public static DependencyProperty StockInHandProperty = DependencyProperty.Register("StockInHand", typeof(System.Boolean), typeof(OrderingSequentialWorkflow801));
        public static DependencyProperty HasTangibleItemsProperty = DependencyProperty.Register("HasTangibleItems", typeof(System.Boolean), typeof(OrderingSequentialWorkflow801));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Misc")]
        public Boolean StockInHand
        {
            get
            {
                return ((bool)(base.GetValue(OrderingSequentialWorkflow801.StockInHandProperty)));
            }
            set
            {
                base.SetValue(OrderingSequentialWorkflow801.StockInHandProperty, value);
            }
        }

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Misc")]
        public Boolean HasTangibleItems
        {
            get
            {
                return ((bool)(base.GetValue(OrderingSequentialWorkflow801.HasTangibleItemsProperty)));
            }
            set
            {
                base.SetValue(OrderingSequentialWorkflow801.HasTangibleItemsProperty, value);
            }
        }

        private void CheckStockLevel(object sender, ConditionalEventArgs e)
        {
            e.Result = this.StockInHand;
        }

        private void CheckTangiblItems(object sender, ConditionalEventArgs e)
        {
            e.Result = this.HasTangibleItems;
        }

        private void IsProcessPending(object sender, ConditionalEventArgs e)
        {
            //Services.IOrderWorkflowService service = context.GetService(typeof(Services.IOrderWorkflowService)) as Services.IOrderWorkflowService;
            //if (service != null)
            //{
            //    e.Result = service.IsProcessPending(this.OrderId);
            //}
            e.Result = true;
        }
    }

}
